# Interface RxTaskPool.TaskCreator

All Known Implementing Classes:
  `NioReceiver, ReceiverBase`

Enclosing class:
  `RxTaskPool`

public static interface RxTaskPool.TaskCreator
Factory interface for creating receive tasks.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractRxTask`
  `createRxTask()`
  Creates a new receive task.

- ## Method Details

  - ### createRxTask

    AbstractRxTask createRxTask()
    Creates a new receive task.
    Returns:
      a new receive task instance